# PetscMallocDumpLog

Dumps the log of all calls to PetscMalloc(); also calls PetscMemoryGetCurrentUsage() and PetscMemoryGetMaximumUsage()

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscMallocDumpLog(FILE *fp)

Collective on PETSC_COMM_WORLD

### Input Parameter

fp -file pointer; or PETSC_NULL

### Options Database Key

-malloc_log -Activates PetscMallocDumpLog()

### Fortran Note

The calling sequence in Fortran is PetscMallocDumpLog(integer ierr) The fp defaults to stdout.

### See Also

PetscMallocGetCurrentUsage(), PetscMallocDump(), PetscMallocSetDumpLog()

Level:advanced
Location: src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages